Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging
Class Severities

    java.lang.Object
      |
      +--weblogic.logging.Severities

public class Severities
extends java.lang.Object

The base home for all information pertaining to the server log severities.

Author:
  Copyright (c) 2001 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ALERT` A particular service is in an unusable state.
`static java.lang.String` | `ALERT_TEXT`
`static int` | `CRITICAL` A system/service level error has occured.
`static java.lang.String` | `CRITICAL_TEXT`
`static int` | `DEBUG` A debug message.
`static java.lang.String` | `DEBUG_TEXT`
`static int` | `EMERGENCY` The server is in an unusable state.
`static java.lang.String` | `EMERGENCY_TEXT`
`static int` | `ERROR` A user level error has occured.
`static java.lang.String` | `ERROR_TEXT`
`static int` | `INFO` An informational message.
`static java.lang.String` | `INFO_TEXT`
`static int` | `NOTICE` A particularly important warning or informational message.
`static java.lang.String` | `NOTICE_TEXT`
`static int` | `WARNING` A warning message.
`static java.lang.String` | `WARNING_TEXT`

Constructor Summary
`Severities()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMERGENCY

    public static final int EMERGENCY

  The server is in an unusable state. This should only be used to designate severe system failures or panics. Individual services should never use this category.

### EMERGENCY_TEXT

    public static final java.lang.String EMERGENCY_TEXT

### ALERT

    public static final int ALERT

  A particular service is in an unusable state. Other parts of the system continue to function. Automatic recover is not possible and the immediate attention of the administrator is required to resolve the problem.

### ALERT_TEXT

    public static final java.lang.String ALERT_TEXT

### CRITICAL

    public static final int CRITICAL

  A system/service level error has occured. The system is able to recover, perhaps with a momentary loss or permanent degradation of service.

### CRITICAL_TEXT

    public static final java.lang.String CRITICAL_TEXT

### NOTICE

    public static final int NOTICE

  A particularly important warning or informational message. Messages, such as notification of successful recovery from a failure, which is of particular importance to an adminstrator monitoring the server.

### NOTICE_TEXT

    public static final java.lang.String NOTICE_TEXT

### ERROR

    public static final int ERROR

  A user level error has occured. The system is able to handle the error with no interruption and limited degradation in service. This severity is less severe than NOTICE, because NOTICE is used only by BEA code. This is to make the ordering more natural for for level-based filtering.

### ERROR_TEXT

    public static final java.lang.String ERROR_TEXT

### WARNING

    public static final int WARNING

  A warning message. A suspicious operation or configuration which does not affect the normal operation of the server.

### WARNING_TEXT

    public static final java.lang.String WARNING_TEXT

### INFO

    public static final int INFO

  An informational message. Used for the logging of normal operations for later examination.

### INFO_TEXT

    public static final java.lang.String INFO_TEXT

### DEBUG

    public static final int DEBUG

  A debug message. Should be output only when the server is configured in a debug mode. May contain detailed information about operations or the state of the server.

### DEBUG_TEXT

    public static final java.lang.String DEBUG_TEXT

Constructor Detail

### Severities

    public Severities()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference